Subject: Re: [Patch] net/xfrm/xfrm_policy.c: Some small improvements

From: Richard Knutsson <[email-masked]>
Date: Thu, 06 Dec 2007 15:37:46 +0100

David Miller wrote:
> From: WANG Cong <[email-masked]>
> Date: Thu, 6 Dec 2007 19:01:23 +0800
>
>   
>> This patch contains the following changes.
>>
>> 	- Use 'bool' instead of 'int' for booleans.
>> 	- Use 'size_t' instead of 'int' for 'sizeof' return value.
>> 	- Some style fixes.
>>
>> Cc: Herbert Xu <[email-masked]>
>> Cc: David Miller <[email-masked]>
>> Signed-off-by: WANG Cong <[email-masked]>
>>     
>
> Normally I would let a patch like this sit in my mailbox
> for a week and then delete it.
>   
That is evil! ;)
> But this time I'll just let you know up front that I
> don't see much value in this patch.  It is not a clear
> improvement to replace int's with bool's in my mind and
> the other changes are just whitespace changes.
>   
Is it not an improvement to distinct booleans from actual values? Do you 
use integers for ASCII characters too? It can also avoid some potential 
bugs like the 'if (i == TRUE)'...
What is wrong with 'size_t' (since it is unsigned, compared to (some) 
'int')?

/Richard Knutsson